<!doctype html>

<html lang="fr">
<head>
	<meta charset="utf-8">
	<title>Jeu de la fourchette</title>
</head>


<body>

<main>
	<style>

	header h1 {
		text-align: center;
		color : white;
		background-color: black;
	}

	body {
			background-image: url("faces.jpg");
			background-repeat: no-repeat;
			background-position: center;
			margin-top: 200px;
			}
	</style>


<h1> Fourchette - Le Joueur doit trouver en moins de 10 coups </h1>

<button type="button" id="fourchette">Fourchette</button>
<!-- coup est le nom de la fonction -->

<h1> ettehcruof - L'ordinateur doit trouver  </h1>

<button type="button" id="ettehcruof"> ettehcruof </button>

<script>

/*document.getElementById("fourchette").innerHTML = "Fourchette";*/
/*ici Hello Dolly est le texte qui va venir remplacer un texte*/
/*je vais récupérer l id fourchette dans  le document (ici le boutton qui a cet id du html généré) */
document.getElementById("fourchette").addEventListener("click",
	function(){
		fourchette();
	}
);

document.getElementById("ettehcruof").addEventListener("click",
	function(){
		ettehcruof();
	}
);

function fourchette (min, max) {
	var joueur;
	var min = prompt("entre une valeur minimum");
	var max = prompt("entre une valeur maximum");
	var ordi2 = Math.ceil(Math.random()*100);
	var ordi = (Math.ceil((min + (max - min) + 1) * Math.random()));
	var coups = 0;


	while (joueur != ordi) {
		joueur = prompt("devine un chiffre entre " + min +  " et " + max + ".")

		if (min > max) {
			alert("les paramètres sont faux");
			break;
		}

		if (isNaN(joueur)) {
			alert("J'ai dit un nombre gogole");
			coups--;
		}

		coups++;

		if ( joueur > ordi ) {
			alert( "trop grand");
			}

		if ( joueur < ordi) {
			alert("trop petit");
		}

		alert("tu as joué " + coups + " coup(s) !")

		if ( coups >= 10 ) {
			alert("C'est bon arrête t'es trop nul");
			break;
		}


	}
	if (joueur == ordi ) {
		alert ("tu as gagné en " + coups + " ! ");
	}
}



function ettehcruof (min, max) {
		var min = prompt("entre une valeur minimum");
		var max = prompt("entre une valeur maximum");
		var ordi = parseInt((parseInt(min, 10) + parseInt(max, 10))/2);
		var player;



		while (player != "!") {


			player = prompt( "est ce + ou - que " + ordi + " ?")

				if (isNaN((max) || (min))) {
				alert("Il faut un nombre gogole");
				}

				if ( min > max) {
					alert("tes paramètres sont faux ! ");
				}

				if ( player == "+") {
					min = ordi;
					ordi = parseInt(Math.round((parseInt(min, 10) + parseInt(max, 10)/2)));
					continue;
					}

				if ( player == "-") {
					max = ordi;
					ordi = parseInt(Math.round((parseInt(min, 10) + parseInt(max, 10)/2)));
					continue;
					}

				if (player == "!") {
					alert("tu as gagné");
					return ordi; /*return arrete la fonction et toutes les boucles*/ 
					}		

				else { 
					alert("je n'ai pas compris");
					continue;
					}
			}
	}


</script>

</main>

</body>

</html>